Subject: Re: bug#21619: 25.0.50; Wrong curly quotes in the docstring for font-lock-add-keywords

From: Kaushal Modi <[email-masked]>
Date: Tue, 6 Oct 2015 06:20:09 -0400

I copied the wrong snippet.. But in general I saw many instances of quote
fixes in doc strings in that merge commit.

Also I do not see curvy quotes in the Help buffer that opens when I do C-h
f font-lock-add-keywords. I am on emacs built on that big merge commit
yesterday.
On Oct 6, 2015 5:15 AM, "Artur Malabarba" <[email-masked]> wrote:

> 2015-10-05 17:28 GMT+01:00 Kaushal Modi <[email-masked]>:
> > Artur Malabarba <bruce.connor.am <at> gmail.com> writes:
> >
> >>
> >> The docstring for this function (when displayed in a help buffer) has
> >> the following code-snippet, which clearly has the wrong type of
> >> quotes.
> >>
> >> (font-lock-add-keywords ’c-mode
> >>   ’(("\\<\\(FIXME\\):" 1 ’font-lock-warning-face prepend)
> >>     ("\\<\\(and\\|or\\|not\\)\\>" . ’font-lock-keyword-face)))
> >>
> >> Instead of fixing this by manually escaping them, how about we change
> >> the algorithm to only convert `...' quotes if the ... is a single
> >> symbol?
> >>
> >>
> >
> >
> > Looks like it got fixed in this commit:
> >
> > http://git.savannah.gnu.org/cgit/emacs.git/commit/?
> > id=47e9556c70a7009d7c750fd7bf10a0e6cf41cdce
> >
> >
> > - (sql-add-product-keywords 'ms
> > -  '((\"\\\\b\\\\w+_t\\\\b\" . font-lock-type-face)))
> > + (sql-add-product-keywords \\='ms
> > +  \\='((\"\\\\b\\\\w+_t\\\\b\" . font-lock-type-face)))
>
> I'm confused. That link appears to be a merge commit, and the snippet
> you quote doesn't apply to the snippet I had quotedl.
>